Skip to content

Logout

When calling CAS logout, only the current unified authentication session will be logged out. After logout, it does not affect access to the User Center or applications that have already passed single sign-on authentication. However, when accessing the application again through the SSO authentication address, re-authentication is required. Unlike the global unified logout interface, calling the global unified logout interface will simultaneously log out the User Center and trigger the logout address of the accessed application.

Request Description

http
GET https://{your_domain}/api/v1/cas/logout

Request Parameters

Parameter NameChinese NameRequiredExample ValueDescription
serviceCallback AddressNohttps://{app_domain}/callbackThe redirect address after logout. If not set, it redirects to the IDaaS login page.

Request Example

http
GET https://{your_domain}/api/v1/cas/logout?service=https://{app_domain}/callback

Response Example

http
HTTP Status: 302 REDIRECT
https://{app_domain}/callback

BambooCloud IDaaS Open Platform